import { TrackId } from "./mediaTrackHandler";
export interface PacketLoss {
    packetsTotal: number;
    packetsLost: number;
    isDownloadStream: boolean;
}
export interface Bitrate {
    /**
     * bytes per second
     */
    download: number;
    /**
     * bytes per second
     */
    upload: number;
}
export interface Resolution {
    width: number;
    height: number;
}
export type TrackStatsType = "local" | "remote";
export declare class MediaTrackStats {
    readonly trackId: TrackId;
    readonly type: TrackStatsType;
    readonly kind: "audio" | "video";
    private loss;
    private bitrate;
    private resolution;
    private framerate;
    private codec;
    constructor(trackId: TrackId, type: TrackStatsType, kind: "audio" | "video");
    getType(): TrackStatsType;
    setLoss(loos: PacketLoss): void;
    getLoss(): PacketLoss;
    setResolution(resolution: Resolution): void;
    getResolution(): Resolution;
    setFramerate(framerate: number): void;
    getFramerate(): number;
    setBitrate(bitrate: Bitrate): void;
    getBitrate(): Bitrate;
    setCodec(codecShortType: string): boolean;
    getCodec(): string;
    resetBitrate(): void;
}
//# sourceMappingURL=mediaTrackStats.d.ts.map